function battle_zai001(npcID) --精英火神隼

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	m=flag.GetBattleValue(12900)
    
	if m~=2 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=5 then
			m=m+1
			flag.SetBattleValue(12900,m)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			m=m+1
			flag.SetBattleValue(12900,m)
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1201,1)   --单体法术
		end

	else
		if 	player.IsPlayerInBattle(4)==1	then
			flag.SetValue(12588,1)
			ui.Popo(87055,1,npcID,0)--蚩尤……？
			battle.Escape(1)
			npc.Destroy(101)
			--global.ClearTimer(13622)
			flag.SetValue(15048,1)		--删除火鸟用
		else
			--flag.SetValue(12588,1)
			--ui.Popo(87055,1,npcID,0)--蚩尤……？
			battle.Escape(1)
			npc.Destroy(101)
			--global.ClearTimer(13622)
			flag.SetValue(15048,1)		--删除火鸟用
		end	
	end
end